Page 1 of 1

Problem with newest version

PostPosted: 08-09-18 2:09 pm
by orangeberet
Hello everybody, hello Nicolas.
I bought a synthesia license when it was version 9. Now it says it's too old and may check for updates, but the new version crashes before starts. I have a macbook with mac os 10.7.5, could I download an older version but not so old as 9 which can be used on my macbook? Or maybe can I fix something to make it work?
Thank you in advance!

Re: Problem with newest version

PostPosted: 08-09-18 2:36 pm
by Nicholas
We started requiring macOS 10.8 as of Synthesia 10.4

Here is a link to Synthesia 10.3 for Mac. Hopefully that should run on your machine.

Re: Problem with newest version

PostPosted: 08-17-18 3:08 pm
by orangeberet
thank you, Nicholas, it works perfect.